#include <bits/stdc++.h>
using namespace std;

int t, n, k;
int a[200010];
bool nemoguce = false;
map<int, int> upper, lower;
vector<int> res;

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	cin >> t;
	cin >> n >> k;
	for(int i = 0; i < n; i++) {
		cin >> a[i];
	}
	if((n - k) % 2) {
		cout << "NE\n";
	}
	else {
		cout << "DA\n";
	}
	return 0;
}